#2748 closed enhancement (fixed)

Move RTEMS-specific socket wake-up to RTEMS-specific <rtems/rtems_bsdnet.h>

Reported by: Sebastian Huber Owned by: Sebastian Huber <sebastian.huber@…>
Priority: normal Milestone: 5.1
Component: network/legacy Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The <sys/socket.h> contains definitions for the RTEMS-specific socket wake-up support. Move this stuff to <rtems/rtems_bsdnet.h> since this feature is not present in standard network stacks. Portable applications should not use it.

Change History (5)

comment:1 Changed on Jun 28, 2016 at 5:57:45 AM by Chris Johns

Will this break existing applications?

comment:2 Changed on Jun 28, 2016 at 6:07:06 AM by Sebastian Huber

Yes, if they use the old network stack and include only <sys/socket.h>.

comment:3 Changed on Jun 28, 2016 at 1:20:39 PM by Sebastian Huber <sebastian.huber@…>

Owner: set to Sebastian Huber <sebastian.huber@…>
Resolution: fixed
Status: newclosed

In e79a0ca75fbc87c17e220f6a80a64bff3d10c9dd/rtems:

libnetworking: Move RTEMS-specific socket wake-up

Close #2748.

comment:4 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.